Subject: bug#43980: closed (Re: [bug#43980] Update offlineimap to 7.3.3)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 14 Oct 2020 08:18:01 +0000

Your bug report

#43980: Update offlineimap to 7.3.3

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43980: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43980
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#43980] Update offlineimap to 7.3.3
From: Efraim Flashner <[email-masked]>
To: Tim Gesthuizen <[email-masked]>
Cc: [email-masked]
Date: Wed, 14 Oct 2020 11:17:10 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I changed python-rfc6555 to pull from the latest commit so it would
build with python3 also. The main thing was moving python2-selectors2 to
propagated-inputs so it gets carried along to the dependant
applications. With this I removed python2-selectors2 from inputs in
offlineimap.

I also added a copyright line for you in both files.

Thanks! Patches pushed.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: Update offlineimap to 7.3.3
From: Tim Gesthuizen <[email-masked]>
To: [email-masked]
Date: Tue, 13 Oct 2020 20:58:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all.

The attached patches update offlineimap to 7.3.3. This requires rfc6555
which is not yet packaged. Please tell me when there is something wrong
with the patches.

Tim.

PS: Is adding copyrights as I did still required? I could not find
information about it in the manual.

>From 1c73e48511cf28e20eb6968f944f5341c610958a Mon Sep 17 00:00:00 2001
From: Tim Gesthuizen <[email-masked]>
Date: Tue, 13 Oct 2020 14:16:58 +0200
Subject: [PATCH 1/2] gnu: Add python2-rfc6555

* gnu/packages/python-xyz.scm (python2-rfc6555): New variable.
---
 gnu/packages/python-xyz.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 56c7bb84ab..6377af990a 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -15969,6 +15969,31 @@ validation of URIs (see RFC 3986) and IRIs (see RFC 3987).")
 (define-public python2-rfc3987
   (package-with-python2 python-rfc3987))
 
+(define-public python2-rfc6555
+  (package
+    (name "python2-rfc6555")
+    (version "0.0.0")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "rfc6555" version))
+              (sha256
+               (base32
+                "05sjrd6jc0sdvx0z7d3llk82rx366jlmc7ijam0nalsv66hbn70r"))))
+    (build-system python-build-system)
+    (arguments `(#:python ,python-2))
+    (native-inputs
+     `(("python2-pytest" ,python2-pytest)
+       ("python2-mock" ,python2-mock)))
+    (inputs
+     `(("python2-selectors2" ,python2-selectors2)))
+    (home-page "https://pypi.org/project/rfc6555/")
+    (synopsis "Python implementation of RFC 6555")
+    (description
+     "Python implementation of the Happy Eyeballs Algorithm described in RFC
+6555.  Provided with a single file and dead-simple API to allow easy vendoring
+and integration into other projects.")
+    (license license:asl2.0)))
+
 (define-public python-validators
   (package
     (name "python-validators")
-- 
2.28.0

>From 96e874f3982088090261f0c8b8f329fc2b527aaa Mon Sep 17 00:00:00 2001
From: Tim Gesthuizen <[email-masked]>
Date: Tue, 13 Oct 2020 14:17:53 +0200
Subject: [PATCH 2/2] gnu: offlineimap: Update to 7.3.3

---
 gnu/packages/mail.scm | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index 2bab7b4645..2fda7980e8 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -776,7 +776,7 @@ and corrections.  It is based on a Bayesian filter.")
 (define-public offlineimap
   (package
     (name "offlineimap")
-    (version "7.2.4")
+    (version "7.3.3")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -785,12 +785,14 @@ and corrections.  It is based on a Bayesian filter.")
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0h5q5nk2p2vx86w6rrbs7v70h81dpqqr68x6l3klzl3m0yj9agb1"))))
+                "1gg8ry67i20qapj4z20am9bm67m2q28kixcj7ja75m897vhzarnq"))))
     (build-system python-build-system)
     (native-inputs
      `(("asciidoc" ,asciidoc)))
     (inputs `(("python2-pysqlite" ,python2-pysqlite)
-              ("python2-six" ,python2-six)))
+              ("python2-six" ,python2-six)
+              ("python2-rfc6555" ,python2-rfc6555)
+              ("python2-selectors2" ,python2-selectors2)))
     (arguments
      ;; The setup.py script expects python-2.
      `(#:python ,python-2
-- 
2.28.0